Unmodified tags with special characters are not seen
Status: Rejected Start date: March 06, 2015

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

Audacious doesn't seem to see unmodified audio tags that contain special characters (like accented vowels). If these tags are

modified by a tag editor (I use Puddletag), then they appear like normal even if the special character is unchanged.

History

#1 - March 06, 2015 03:29 - John Lindgren

Please provide an example file.  Also tell us what version of Audacious you are using, and what your character encoding settings are.

#2 - March 06, 2015 03:29 - John Lindgren

Also see if any messages are printed in the console and copy those here.

#3 - March 07, 2015 01:34 - A Z

WARNING charset.cc:79 [whine_locale]: Cannot convert from locale (UTF-8): M�sica Instrumental Andina

After changing the fallback encoding setting to ISO-8859-1 from UTF-8, everything was fine. Back when 3.5 was released, though, ISO gave me

various problems but UTF-8 worked for everything. I wonder why it's different now (I'm on 3.6, but also had this problem on 3.5.2).

#4 - March 07, 2015 06:27 - John Lindgren

- Status changed from New to Rejected

Probably related to the problems you had in 3.5:

http://audacious-media-player.org/news/33-character-encoding-bugs-and-workaround

This announcement does also mention that you should keep ISO-8859-1 as a fallback even after updating.  You do not need to add UTF-8 as a

fallback any more in 3.6; it is always the first option tried, and the bug for which it was a workaround, has been fixed.

P.S. Probably the original tags used ISO-8859-1, and Puddletag re-encodes them using Unicode of some sort.
